Description

Currently when using identify tool to open vector object attribute editing dialog, all empty text fields are shown as NULL (which is OK). The

only issue - to enter any value one has to manually delete NULL text from the entry field. There is no "clear" button (as it appears only if

field has any non-NULL value), clicking on field doesn't preselect NULL for faster deletion. Only backspace or del key works. Paste into

"empty" (NULL) field results into "NULLmy pasted text" value. Using "clear" button resets field back to NULL string and only way how to

get rid of it is to use delete/backspace key.

Correct behaviour would be to clean field on focus. As currently QGIS knows when field has NULL value (hint - see "clear" button),

resetting entry field to "" on focus shouldn't be so hard.

If it sounds like a rant, then yes, it is. After deleting few hundreds times NULL text, anyone will be ready to write a rant :P

Related to #2742

QGIS versija    2.1.0-Master    QGIS code revision    dae9b5d

History

#1 - 2013-10-12 01:46 AM - Matthias Kuhn

I would prefer to have a NULL checkbox next to the field instead of having the NULL text.

#2 - 2014-12-12 05:31 AM - Jürgen Fischer

- Subject changed from Automaticly clean NULL text from atribute edit form line edit to Automatically clean NULL text from attribute edit form line edit

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
